body:has(.face_detection_container.game.mobile) {
    min-height: 100vh;
    overflow: hidden;
}

.face_detection_container {
    position: relative;
}

.face_detection_container #page_main {
    min-height: 450px;
}

.face_detection_container.mobile #page_main {
    min-height: calc(100vh - 145px);
    position: relative;
    padding: 0 10px 10px 10px;
    background-color: #5da4d7;
}

.face_detection_container.mobile #page_header h1 {
    font-size: 28px;
}

.face_detection_container.mobile #page_header .single .title {
    padding: 8px;
}

.face_detection_container.game.mobile {
}

.face_detection_container.mobile .face_detection {
    flex-direction: column-reverse;
}

.face_detection_container.mobile .face_detection .solution .rounded-title,
.face_detection_container.mobile .face_detection .clues .rounded-title {
    display: none;
}

.face_detection_container.mobile .face_detection .clues {
    position: absolute;
    top: calc(100vw - 125px);
    color: #fff;
    font-weight: bold;
    font-size: 20px;
    z-index: 99;
    order: 2;
}

.face_detection_container.mobile .face_detection .solution {
    position: absolute;
    left: 20px;
    color: #fff;
    text-shadow: 0 0 10px black;
    z-index: 99;
}

.face_detection_container.mobile .face_detection .clues ul li {
    text-shadow: 0 0 3px black;
}

.face_detection_container.mobile .face_detection .zz-tpl-col,
.face_detection_container.mobile .face_detection .zz-tpl-row {
    margin: 0;
}

.face_detection #search_f_player {
    padding: 11px;
    border: solid 1px #e0e4eb;
    box-sizing: border-box;
    width: 100%;
    font-size: 20px !important;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -0.6px;
    color: #8790a1;
    max-width: none !important;
    background: #fff;
    height: 100%;
}

.face_detection_container.mobile #search_f_player {
    border-radius: 4px 0 0 0;
}

.face_detection .rounded-title {
    padding: 8px;
    border-radius: 8px 8px 0 0;
    background-color: #dde2e7;
    font-family: Roboto;
    font-size: 18px;
    font-weight: bold;
    font-stretch: condensed;
    font-style: normal;
    line-height: 1;
    letter-spacing: normal;
    font-family: 'Roboto Condensed';
    font-size: 20px;
    font-weight: bold;
    line-height: 24px;
    color: #3e5368;
    text-transform: uppercase;
}

.face_detection #nextBtn {
    font-family: Roboto;
    font-size: 18px;
    font-weight: bold;
    font-stretch: condensed;
    font-style: normal;
    line-height: normal;
    letter-spacing: -0.33px;
    text-align: center;
    color: #fff;
    background-color: #0078ce;
    border: #0078ce;
    cursor: pointer;
    margin-left: auto;
    text-transform: uppercase;
    height: 49px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0 10px 10px 0;
}

.face_detection_container.mobile #nextBtn {
    border-radius: 0;
}

.face_detection ul {
    padding: 0 20px;
}

.face_detection .answer {
    position: relative;
}

.face_detection .answer span {
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
}

.face_detection form {
    margin: 0;
}

#page_header_container {
    background-image: linear-gradient(96deg, #0078ce 0%, #5da4d7 100%);
}

.single .title {
    display: flex;
    flex-direction: column;
}

.single .title span h2 {
    margin-top: 8px;
    font-family: Roboto;
    font-size: 14px;
    font-weight: normal;
    font-stretch: condensed;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
}

.face_detection_container.mobile .face_detection .is-sm-6 {
    width: 100%;
}

.face_detection_container .level {
    display: flex;
    align-items: center;
    color: #fff;
    font-size: 36px;
    font-weight: bold;
    position: relative;
}

.face_detection_container .level .level_xp {
    border-radius: 10px 0 0 10px;
    width: 200px;
    height: 15px;
    border: solid 1px #888;
    margin-right: -15px;
    transition: background 5s ease;
}

.face_detection_container.mobile .level .level_xp {
    width: 100px;
    height: 10px;
    margin-right: -11px;
}

.face_detection_container.mobile .level {
    top: 9px;
    right: 8px;
    font-size: 32px;
}

.face_detection_container .level_level {
    position: absolute;
    color: #0078ce;
    font-size: 16px;
    z-index: 2;
}

.face_detection_container.mobile .level_level {
    right: 13px;
}

.face_detection_container .level .fa-star {
    text-shadow: 0 0 3px #0078ce;
}

.face_detection_container .solution a {
    font-size: 34px;
    font-weight: bold;
}

.face_detection_container.mobile .solution a {
    color: #fff !important;
}

.face_detection_container .entity_h2_nomenu .h2 {
    background-image: linear-gradient(96deg, #0078ce 0%, #5da4d7 100%);
}

.face_detection_container.mobile .entity_h2_nomenu .h2 {
    padding: 0;
}

.face_detection_container .entity_h2_nomenu .h2 span a {
    color: #fff;
}

#fd_classif header h3 {
    font-weight: bold;
    font-size: 18px !important;
}

#fd_classif header p {
    line-height: 1.83;
}

#fd_classif header {
    background-color: #dde2e7 !important;
    font-family: Roboto;
    font-stretch: condensed;
    color: #3e5368;
    font-size: 12px !important;
    font-weight: normal !important;
    padding: 8px !important;
    display: flex;
    align-items: center;
}

.dataTables_filter label {
    display: block;
    padding: 16px 0;
}

.dataTables_filter input {
    width: 100%;
    font-family: Roboto;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -0.48px;
    color: #9b9b9b;
    padding: 13.5px 15px;
    border-radius: 8px;
    border: solid 1px #ccc;
    background-color: #fff;
}

.zz-icn-search.search-icon {
    position: absolute;
    z-index: 1;
    top: 28px;
    right: 23px;
    color: #4f5969;
    font-size: 24px;
}

div.table_box {
    position: relative;
    padding: 0 8px;
}

.zz-card table tr.my_classif td {
    background-color: #f2f2f2;
}

.face_detection_container .fa-star.points {
    color: #5da4d7;
    font-size: 32px;
    position: absolute;
    transition: 1s;
    z-index: -1;
    top: 135px;
    right: 83px;
}

#f_countdown {
    position: absolute;
    height: 40px;
    width: 40px;
    text-align: center;
    top: 10px;
    left: 10px;
    z-index: 2;
}

#countdown-number {
    color: #0078ce;
    display: inline-block;
    line-height: 40px;
    font-size: 18px;
    z-index: 3;
}

svg {
    position: absolute;
    top: 0;
    right: 0;
    width: 40px;
    height: 40px;
    transform: rotateY(-180deg) rotateZ(-90deg);
}

svg circle {
    stroke-dasharray: 113px;
    stroke-dashoffset: 0px;
    stroke-linecap: round;
    stroke-width: 5px;
    fill: none;
    animation: countdown 25s linear forwards;
    fill: #0078ce;
}

.face_detection_container #sample #countdown-number {
    color: #FFF;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.face_detection_container #sample svg circle {
    stroke: #FFF;
}

.face_detection_container #sample {
    position: relative;
    z-index: 1;
}

.face_detection_container.mobile #sample {
    height: calc(100vw - 14px);
}

.face_detection_container.mobile canvas {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    order: 1;
    border-radius: 0 0 4px 4px;
}

.face_detection_container.mobile .face_detection {
    border: solid 5px #0078ce;
    border-radius: 0px 0px 8px 8px;
}

@keyframes countdown {
    from {
        stroke-dashoffset: 0px;
    }

    to {
        stroke-dashoffset: 113px;
    }
}